

#include "BUILTIN.h"
extern OBJ _AName_34(OBJ);extern OBJ __AName_34;
extern OBJ _AObjects_10(OBJ);extern OBJ __AObjects_10;
extern OBJ _APartName_27(OBJ,OBJ);extern OBJ __APartName_27;
extern OBJ __APartName_60;
extern OBJ __APartName_61;

#include "Nat.h"
extern OBJ _AFct_23(OBJ,OBJ);extern OBJ __AFct_23;

#include "Char.h"
extern OBJ _ASeqCompare_2(OBJ,OBJ,OBJ);extern OBJ __ASeqCompare_2;
extern OBJ __APair_2;
extern OBJ _ACompose_4(OBJ,OBJ,OBJ);extern OBJ __ACompose_4;

#include "NatConv.h"
extern OBJ _AOptionConv_2(OBJ,OBJ);extern OBJ __AOptionConv_2;
extern OBJ _APairConv_3(OBJ,OBJ,OBJ);extern OBJ __APairConv_3;
extern OBJ __APairConv_5;
extern OBJ __APairConv_6;
extern OBJ __APairConv_7;
extern OBJ _ASeqConv_2(OBJ,OBJ);extern OBJ __ASeqConv_2;
extern OBJ _ASeqConv_3(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeqConv_3;

#include "Denotation.h"
extern OBJ _ASeqZip_4(OBJ,OBJ,OBJ);extern OBJ __ASeqZip_4;

#include "Int.h"

#include "Real.h"
extern OBJ __ARelCmp_7;

#include "Array.h"
extern OBJ _APartNameEntry_2(OBJ,OBJ);OBJ __APartNameEntry_2; /* errInfo */
extern OBJ _APartNameEntry_3(OBJ);OBJ __APartNameEntry_3; /* errInfo? */
extern OBJ _APartNameEntry_4(OBJ);OBJ __APartNameEntry_4; /* pos */
extern OBJ _APartNameEntry_5(OBJ);OBJ __APartNameEntry_5; /* ide */
extern OBJ _APartNameEntry_7(OBJ,OBJ,OBJ,OBJ);OBJ __APartNameEntry_7; /* flatPnEle */
extern OBJ _APartNameEntry_8(OBJ);OBJ __APartNameEntry_8; /* flatPnEle? */
extern OBJ _APartNameEntry_9(OBJ);OBJ __APartNameEntry_9; /* errInfo,1 */
extern OBJ _APartNameEntry_10(OBJ);OBJ __APartNameEntry_10; /* fct */
extern OBJ _APartNameEntry_11(OBJ);OBJ __APartNameEntry_11; /* inst */
extern OBJ _APartNameEntry_12(OBJ);OBJ __APartNameEntry_12; /* name */
extern OBJ _APartNameEntry_14(OBJ,OBJ);OBJ __APartNameEntry_14; /* flatPN */
extern OBJ _APartNameEntry_15(OBJ);OBJ __APartNameEntry_15; /* flatPN? */
extern OBJ _APartNameEntry_16(OBJ);OBJ __APartNameEntry_16; /* flatPN,1 */
extern OBJ _APartNameEntry_17(OBJ);OBJ __APartNameEntry_17; /* errInfo,2 */
extern OBJ _APartNameEntry_18(OBJ,OBJ,OBJ);OBJ __APartNameEntry_18; /* deepPN */
extern OBJ _APartNameEntry_19(OBJ);OBJ __APartNameEntry_19; /* deepPN? */
extern OBJ _APartNameEntry_20(OBJ);OBJ __APartNameEntry_20; /* fct,1 */
extern OBJ _APartNameEntry_21(OBJ);OBJ __APartNameEntry_21; /* cands */
extern OBJ _APartNameEntry_24(OBJ,OBJ);OBJ __APartNameEntry_24; /* & */
extern OBJ _APartNameEntry_25(OBJ);OBJ __APartNameEntry_25; /* &? */
extern OBJ _APartNameEntry_26(OBJ);OBJ __APartNameEntry_26; /* instAn */
extern OBJ _APartNameEntry_27(OBJ);OBJ __APartNameEntry_27; /* cands,1 */
extern OBJ _APartNameEntry_29(OBJ,OBJ);OBJ __APartNameEntry_29; /* onlyPNE */
extern OBJ _APartNameEntry_30(OBJ);OBJ __APartNameEntry_30; /* onlyPNE? */
extern OBJ _APartNameEntry_31(OBJ);OBJ __APartNameEntry_31; /* errInfo,3 */
extern OBJ _APartNameEntry_32(OBJ);OBJ __APartNameEntry_32; /* pN */
extern OBJ _APartNameEntry_34(OBJ,OBJ,OBJ);OBJ __APartNameEntry_34; /* flatInstPNE */
extern OBJ _APartNameEntry_35(OBJ);OBJ __APartNameEntry_35; /* flatInstPNE? */
extern OBJ _APartNameEntry_36(OBJ);OBJ __APartNameEntry_36; /* flatInsts */
extern OBJ _APartNameEntry_37(OBJ);OBJ __APartNameEntry_37; /* context */
extern OBJ _APartNameEntry_38(OBJ);OBJ __APartNameEntry_38; /* pos,1 */
extern OBJ _APartNameEntry_39(OBJ,OBJ,OBJ,OBJ);OBJ __APartNameEntry_39; /* deepInstPNE */
extern OBJ _APartNameEntry_40(OBJ);OBJ __APartNameEntry_40; /* deepInstPNE? */
extern OBJ _APartNameEntry_41(OBJ);OBJ __APartNameEntry_41; /* deepInsts */
extern OBJ _APartNameEntry_43(OBJ);OBJ __APartNameEntry_43; /* syntax */
extern OBJ _APartNameEntry_46(OBJ,OBJ);OBJ __APartNameEntry_46; /* sortPNE */
extern OBJ _APartNameEntry_47(OBJ);OBJ __APartNameEntry_47; /* sortPNE? */
extern OBJ _APartNameEntry_48(OBJ);OBJ __APartNameEntry_48; /* pN,1 */
extern OBJ _APartNameEntry_49(OBJ);OBJ __APartNameEntry_49; /* syntax,1 */
extern OBJ _APartNameEntry_50(OBJ,OBJ);OBJ __APartNameEntry_50; /* upd */
extern OBJ _APartNameEntry_51(OBJ,OBJ);OBJ __APartNameEntry_51; /* upd,1 */
extern OBJ _APartNameEntry_52(OBJ,OBJ);OBJ __APartNameEntry_52; /* upd,2 */
extern OBJ _APartNameEntry_53(OBJ,OBJ);OBJ __APartNameEntry_53; /* upd,3 */
extern OBJ _APartNameEntry_54(OBJ,OBJ);OBJ __APartNameEntry_54; /* < */
extern OBJ _APartNameEntry_55(OBJ,OBJ);OBJ __APartNameEntry_55; /* << */
extern OBJ _APartNameEntry_56(OBJ);OBJ __APartNameEntry_56; /* ` */
extern OBJ _APartNameEntry_57(OBJ);OBJ __APartNameEntry_57; /* `,1 */
extern OBJ _APartNameEntry_58(OBJ);OBJ __APartNameEntry_58; /* `,2 */
extern OBJ _APartNameEntry_59(OBJ);OBJ __APartNameEntry_59; /* `,3 */
extern OBJ _APartNameEntry_60(OBJ);OBJ __APartNameEntry_60; /* `,4 */
extern OBJ _APartNameEntry_106(OBJ);OBJ __APartNameEntry_106; /* `,5 */
extern OBJ _APartNameEntry_107(OBJ);OBJ __APartNameEntry_107; /* `,2'107 */
extern OBJ _APartNameEntry_108(OBJ);OBJ __APartNameEntry_108; /* `,2'108 */
extern OBJ _APartNameEntry_109(OBJ);OBJ __APartNameEntry_109; /* `,3'109 */
extern OBJ _APartNameEntry_110(OBJ);OBJ __APartNameEntry_110; /* `,3'110 */
OBJ __APartNameEntry_111; /* `,3'111 */
OBJ __APartNameEntry_112; /* `,3'112 */
extern OBJ _APartNameEntry_113(OBJ);OBJ __APartNameEntry_113; /* `,1'113 */
extern OBJ _APartNameEntry_114(OBJ);OBJ __APartNameEntry_114; /* `,1'114 */
extern OBJ _APartNameEntry_115(OBJ);OBJ __APartNameEntry_115; /* `,1'115 */
OBJ __APartNameEntry_116; /* `,1'116 */
extern OBJ _APartNameEntry_117(OBJ);OBJ __APartNameEntry_117; /* `,1'117 */
OBJ __APartNameEntry_118; /* `,1'118 */

extern OBJ _APartNameEntry_2(OBJ x1,OBJ x2) /* errInfo */
{OBJ r;
 PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x2;
 return r;}

extern OBJ _APartNameEntry_3(OBJ x1) /* errInfo? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _APartNameEntry_4(OBJ x1) /* pos */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FRPRD(FLD1(x1,1),1);DSPRDF(x1);
  }else{
   COPY(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_5(OBJ x1) /* ide */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FREE(FLD1(x1,2),1);DSPRDF(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_7(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* flatPnEle */
{OBJ r;
 PRD1(4,r);FLD1(r,1)=x1;FLD1(r,2)=x2;FLD1(r,3)=x3;FLD1(r,4)=x4;
 return r;}

extern OBJ _APartNameEntry_8(OBJ x1) /* flatPnEle? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _APartNameEntry_9(OBJ x1) /* errInfo,1 */
{OBJ r;
 {OBJ x5=FLD1(x1,4);
  if(EXPRD(x1,1)){
   r=x5;
   FLD1(x1,4)=NIL;DSPRD(x1);
  }else{
   CPPRD(x5,1);
   r=x5;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_10(OBJ x1) /* fct */
{OBJ r;
 {OBJ x4=FLD1(x1,3);
  if(EXPRD(x1,1)){
   r=x4;
   FLD1(x1,3)=NIL;DSPRD(x1);
  }else{
   COPY(x4,1);
   r=x4;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_11(OBJ x1) /* inst */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FLD1(x1,2)=NIL;DSPRD(x1);
  }else{
   CPPRD(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_12(OBJ x1) /* name */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   COPY(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_14(OBJ x1,OBJ x2) /* flatPN */
{OBJ r;
 PRD(2,1,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _APartNameEntry_15(OBJ x1) /* flatPN? */
{OBJ r;
 if(ISTGPRD(x1,1)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APartNameEntry_16(OBJ x1) /* flatPN,1 */
{OBJ r;
 if(ISTGPRD(x1,1)){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FRPRD(FLD(x1,1),1);DSPRDF(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("PartNameEntry at <unknown> : undefined selection flatPN\'PartNameEntry:pN->seq");}
 return r;}

extern OBJ _APartNameEntry_17(OBJ x1) /* errInfo,2 */
{OBJ r;
 {OBJ x2=FLD(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_18(OBJ x1,OBJ x2,OBJ x3) /* deepPN */
{OBJ r;
 PRD(3,0,r);FLD(r,1)=x1;FLD(r,2)=x2;FLD(r,3)=x3;
 return r;}

extern OBJ _APartNameEntry_19(OBJ x1) /* deepPN? */
{OBJ r;
 if(ISTGPRD(x1,0)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APartNameEntry_20(OBJ x1) /* fct,1 */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x4=FLD(x1,3);
   if(EXPRD(x1,1)){
    r=x4;
    FLD(x1,3)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    r=x4;
    FRPRD(x1,1);}}
 }else{
  HLT("PartNameEntry at <unknown> : undefined selection fct\'PartNameEntry:pN->option");}
 return r;}

extern OBJ _APartNameEntry_21(OBJ x1) /* cands */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FLD(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("PartNameEntry at <unknown> : undefined selection cands\'PartNameEntry:pN->seq");}
 return r;}

extern OBJ _APartNameEntry_24(OBJ x1,OBJ x2) /* & */
{OBJ r;
 PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x2;
 return r;}

extern OBJ _APartNameEntry_25(OBJ x1) /* &? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _APartNameEntry_26(OBJ x1) /* instAn */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FREE(FLD1(x1,1),1);DSPRDF(x1);
  }else{
   CPPRD(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_27(OBJ x1) /* cands,1 */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FRPRD(FLD1(x1,2),1);DSPRDF(x1);
  }else{
   COPY(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_29(OBJ x1,OBJ x2) /* onlyPNE */
{OBJ r;
 PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x2;
 return r;}

extern OBJ _APartNameEntry_30(OBJ x1) /* onlyPNE? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _APartNameEntry_31(OBJ x1) /* errInfo,3 */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FRPRD(FLD1(x1,1),1);DSPRDF(x1);
  }else{
   CPPRD(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_32(OBJ x1) /* pN */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FRPRD(FLD1(x1,2),1);DSPRDF(x1);
  }else{
   CPPRD(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_34(OBJ x1,OBJ x2,OBJ x3) /* flatInstPNE */
{OBJ r;
 PRD(3,1,r);FLD(r,1)=x1;FLD(r,2)=x2;FLD(r,3)=x3;
 return r;}

extern OBJ _APartNameEntry_35(OBJ x1) /* flatInstPNE? */
{OBJ r;
 if(ISTGPRD(x1,1)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APartNameEntry_36(OBJ x1) /* flatInsts */
{OBJ r;
 if(ISTGPRD(x1,1)){
  {OBJ x4=FLD(x1,3);
   if(EXPRD(x1,1)){
    r=x4;
    FLD(x1,3)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    r=x4;
    FRPRD(x1,1);}}
 }else{
  HLT("PartNameEntry at <unknown> : undefined selection flatInsts\'PartNameEntry:instPNE->seq");}
 return r;}

extern OBJ _APartNameEntry_37(OBJ x1) /* context */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x4=FLD(x1,3);
   if(EXPRD(x1,1)){
    r=x4;
    FLD(x1,3)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    r=x4;
    FRPRD(x1,1);}}
 }else{
  {OBJ x7=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x7;
    FLD(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x7,1);
    r=x7;
    FRPRD(x1,1);}}}
 return r;}

extern OBJ _APartNameEntry_38(OBJ x1) /* pos,1 */
{OBJ r;
 {OBJ x2=FLD(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FLD(x1,1)=NIL;DSPRD(x1);
  }else{
   COPY(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_39(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* deepInstPNE */
{OBJ r;
 PRD(4,0,r);FLD(r,1)=x1;FLD(r,2)=x2;FLD(r,3)=x3;FLD(r,4)=x4;
 return r;}

extern OBJ _APartNameEntry_40(OBJ x1) /* deepInstPNE? */
{OBJ r;
 if(ISTGPRD(x1,0)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _APartNameEntry_41(OBJ x1) /* deepInsts */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x5=FLD(x1,4);
   if(EXPRD(x1,1)){
    r=x5;
    FLD(x1,4)=NIL;DSPRD(x1);
   }else{
    COPY(x5,1);
    r=x5;
    FRPRD(x1,1);}}
 }else{
  HLT("PartNameEntry at <unknown> : undefined selection deepInsts\'PartNameEntry:instPNE->seq");}
 return r;}

extern OBJ _APartNameEntry_43(OBJ x1) /* syntax */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FLD(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("PartNameEntry at <unknown> : undefined selection syntax\'PartNameEntry:instPNE->seq");}
 return r;}

extern OBJ _APartNameEntry_46(OBJ x1,OBJ x2) /* sortPNE */
{OBJ r;
 PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x2;
 return r;}

extern OBJ _APartNameEntry_47(OBJ x1) /* sortPNE? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _APartNameEntry_48(OBJ x1) /* pN,1 */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   r=x3;
   FREE(FLD1(x1,1),1);DSPRDF(x1);
  }else{
   CPPRD(x3,1);
   r=x3;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_49(OBJ x1) /* syntax,1 */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   r=x2;
   FRPRD(FLD1(x1,2),1);DSPRDF(x1);
  }else{
   COPY(x2,1);
   r=x2;
   FRPRD(x1,1);}}
 return r;}

extern OBJ _APartNameEntry_50(OBJ x1,OBJ x2) /* upd */
{OBJ r;
 {OBJ x3=FLD1(x2,1);
  if(EXPRD(x2,1)){
   {OBJ x5;
    x5=x3;
    RSOME(x2,r);FLD1(r,1)=x5;FRPRD(FLD1(r,2),1);FLD1(r,2)=x1;}
  }else{
   COPY(x3,1);
   {OBJ x5;
    x5=x3;
    FRPRD(x2,1);PRD1(2,r);FLD1(r,1)=x5;FLD1(r,2)=x1;}}}
 return r;}

extern OBJ _APartNameEntry_51(OBJ x1,OBJ x2) /* upd,1 */
{OBJ r;
 {OBJ x29;OBJ x21;OBJ x10;
  if(ISTGPRD(x2,0)){
   {OBJ x37=FLD(x2,1);OBJ x38=FLD(x2,2);OBJ x39=FLD(x2,3);
    if(EXPRD(x2,1)){
     x10=x37;x21=x38;x29=x39;
     FREE(FLD(x2,4),1);DSPRDF(x2);
    }else{
     COPY(x37,1);COPY(x38,1);COPY(x39,1);
     x10=x37;x21=x38;x29=x39;
     FRPRD(x2,1);}}
  }else{
   HLT("PartNameEntry at <unknown> : undefined selection syntax\'PartNameEntry:instPNE->seq");}
  PRD(4,0,r);FLD(r,1)=x10;FLD(r,2)=x21;FLD(r,3)=x29;FLD(r,4)=x1;}
 return r;}

extern OBJ _APartNameEntry_52(OBJ x1,OBJ x2) /* upd,2 */
{OBJ r;
 {OBJ x18;OBJ x10;
  if(ISTGPRD(x2,0)){
   {OBJ x26=FLD(x2,1);OBJ x28=FLD(x2,3);
    if(EXPRD(x2,1)){
     x10=x26;x18=x28;
     FLD(x2,1)=NIL;FLD(x2,3)=NIL;DSPRD(x2);
    }else{
     COPY(x26,1);COPY(x28,1);
     x10=x26;x18=x28;
     FRPRD(x2,1);}}
  }else{
   {OBJ x30=FLD(x2,1);OBJ x31=FLD(x2,2);
    if(EXPRD(x2,1)){
     x10=x30;x18=x31;
     FREE(FLD(x2,3),1);DSPRDF(x2);
    }else{
     COPY(x30,1);COPY(x31,1);
     x10=x30;x18=x31;
     FRPRD(x2,1);}}}
  PRD(3,1,r);FLD(r,1)=x10;FLD(r,2)=x18;FLD(r,3)=x1;}
 return r;}

extern OBJ _APartNameEntry_53(OBJ x1,OBJ x2) /* upd,3 */
{OBJ r;
 {OBJ x4=FLD1(x2,2);
  if(EXPRD(x2,1)){
   {OBJ x5;
    x5=x4;
    RSOME(x2,r);FRPRD(FLD1(r,1),1);FLD1(r,1)=x1;FLD1(r,2)=x5;}
  }else{
   CPPRD(x4,1);
   {OBJ x5;
    x5=x4;
    FRPRD(x2,1);PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x5;}}}
 return r;}

extern OBJ _APartNameEntry_54(OBJ x1,OBJ x2) /* < */
{OBJ r;
 {OBJ x9=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FRPRD(FLD1(x1,2),1);DSPRDF(x1);
  }else{
   COPY(x9,1);
   FRPRD(x1,1);}
  {OBJ x11=FLD1(x2,1);
   if(EXPRD(x2,1)){
    FRPRD(FLD1(x2,2),1);DSPRDF(x2);
   }else{
    COPY(x11,1);
    FRPRD(x2,1);}
   {OBJ x13;
    x13=x11;
    r=_APartName_27(x9,x13);}}}
 return r;}

extern OBJ _APartNameEntry_55(OBJ x1,OBJ x2) /* << */
{OBJ r;
 {OBJ x24;OBJ x13;OBJ x25;
  if(ISTGPRD(x2,0)){
   {OBJ x15=FLD(x2,2);
    if(EXPRD(x2,1)){
     x24=x15;
     FLD(x2,2)=NIL;DSPRD(x2);
    }else{
     COPY(x15,1);
     x24=x15;
     FRPRD(x2,1);}}
  }else{
   HLT("PartNameEntry at <unknown> : undefined selection syntax\'PartNameEntry:instPNE->seq");}
  if(ISTGPRD(x1,0)){
   {OBJ x4=FLD(x1,2);
    if(EXPRD(x1,1)){
     x13=x4;
     FLD(x1,2)=NIL;DSPRD(x1);
    }else{
     COPY(x4,1);
     x13=x4;
     FRPRD(x1,1);}
    CPCLS(__APartName_27,1);
    CPCLS(__ARelCmp_7,1);}
  }else{
   HLT("PartNameEntry at <unknown> : undefined selection syntax\'PartNameEntry:instPNE->seq");}
  x25=_ASeqCompare_2(__APartName_27,x13,x24);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ARelCmp_7,1))(__ARelCmp_7,x25);}
 return r;}

extern OBJ _APartNameEntry_56(OBJ x1) /* ` */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FREE(FLD1(x1,1),1);DSPRDF(x1);
  }else{
   CPPRD(x3,1);
   FRPRD(x1,1);}
  {OBJ x4;
   x4=x3;
   r=_APartNameEntry_59(x4);}}
 return r;}

extern OBJ _APartNameEntry_57(OBJ x1) /* `,1 */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x58=FLD(x1,3);OBJ x59=FLD(x1,4);
   if(EXPRD(x1,1)){
    FLD(x1,3)=NIL;FLD(x1,4)=NIL;DSPRD(x1);
   }else{
    COPY(x58,1);COPY(x59,1);
    FRPRD(x1,1);}
   CPCLS(__APartNameEntry_115,1);
   CPPRD(__APartNameEntry_116,1);
   CPPRD(__APartName_60,1);
   CPPRD(__APartName_61,1);
   CPPRD(__APair_2,1);
   CPPRD(__APairConv_6,1);
   {OBJ x61;OBJ x63;OBJ x64;
    x61=_ASeqZip_4(__APair_2,x58,x59);
    x63=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_115,1))(__APartNameEntry_115,__ABUILTIN_20);
    x64=_ASeqConv_3(__APartName_61,__APairConv_6,__APartName_60,x63,x61);
    ADenotation_4(__APartNameEntry_116,x64,r);}}
 }else{
  {OBJ x67=FLD(x1,3);
   if(EXPRD(x1,1)){
    FLD(x1,3)=NIL;DSPRD(x1);
   }else{
    COPY(x67,1);
    FRPRD(x1,1);}
   CPPRD(__APartNameEntry_111,1);
   CPPRD(__APartNameEntry_112,1);
   CPCLS(__APartNameEntry_117,1);
   CPPRD(__APartNameEntry_118,1);
   CPPRD(__APairConv_6,1);
   {OBJ x68;OBJ x69;
    x68=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_117,1))(__APartNameEntry_117,__ABUILTIN_20);
    x69=_ASeqConv_3(__APartNameEntry_111,__APairConv_6,__APartNameEntry_112,x68,x67);
    ADenotation_4(__APartNameEntry_118,x69,r);}}}
 return r;}

extern OBJ _APartNameEntry_58(OBJ x1) /* `,2 */
{OBJ r;
 {OBJ x28=FLD1(x1,1);OBJ x29=FLD1(x1,2);OBJ x30=FLD1(x1,3);
  if(EXPRD(x1,1)){
   FRPRD(FLD1(x1,4),1);DSPRDF(x1);
  }else{
   COPY(x28,1);CPPRD(x29,1);COPY(x30,1);
   FRPRD(x1,1);}
  CPCLS(__APartNameEntry_108,1);
  {OBJ x32;OBJ x33;
   x32=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_108,1))(__APartNameEntry_108,__ABUILTIN_20);
   x33=_AName_34(x28);
   {OBJ x34=FLD1(x29,1);
    if(EXPRD(x29,1)){
     FREE(FLD1(x29,2),1);DSPRDF(x29);
    }else{
     FRPRD(x29,1);}
    CPPRD(__APairConv_6,2);
    {OBJ x36;OBJ x37;OBJ x38;OBJ x39;OBJ x40;
     x36=_AOptionConv_2(x32,x30);
     ANatConv_1(x34,x37);
     ADenotation_4(__APairConv_6,x36,x38);
     ADenotation_4(x37,x38,x39);
     ADenotation_4(__APairConv_6,x39,x40);
     ADenotation_4(x33,x40,r);}}}}
 return r;}

extern OBJ _APartNameEntry_59(OBJ x1) /* `,3 */
{OBJ r;
 if(ISTGPRD(x1,0)){
  {OBJ x81=FLD(x1,1);OBJ x82=FLD(x1,2);OBJ x83=FLD(x1,3);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    CPPRD(x81,1);COPY(x82,1);COPY(x83,1);
    FRPRD(x1,1);}
   CPCLS(__APartNameEntry_106,1);
   CPCLS(__APartNameEntry_110,1);
   CPPRD(__APartNameEntry_111,1);
   CPPRD(__APartNameEntry_112,1);
   CPPRD(__APairConv_6,1);
   {OBJ x86;OBJ x87;
    x86=_ASeqConv_3(__APartNameEntry_111,__APairConv_6,__APartNameEntry_112,__APartNameEntry_106,x82);
    x87=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_110,1))(__APartNameEntry_110,__ABUILTIN_20);
    {OBJ x88=FLD1(x81,1);
     if(EXPRD(x81,1)){
      FREE(FLD1(x81,2),1);DSPRDF(x81);
     }else{
      CPPRD(x88,1);
      FRPRD(x81,1);}
     {OBJ x90;
      x90=_AOptionConv_2(x87,x83);
      {OBJ x92=FLD1(x88,2);
       if(EXPRD(x88,1)){
	DSPRDF(x88);
       }else{
	CPPRD(x92,1);
	FRPRD(x88,1);}
       CPPRD(__APairConv_6,2);
       {OBJ x94;OBJ x95;OBJ x96;
	ADenotation_4(__APairConv_6,x90,x94);
	ADenotation_4(x86,x94,x95);
	ADenotation_4(__APairConv_6,x95,x96);
	ADenotation_4(x92,x96,r);}}}}}}
 }else{
  {OBJ x98=FLD(x1,2);
   if(EXPRD(x1,1)){
    FRPRD(FLD(x1,1),1);DSPRDF(x1);
   }else{
    COPY(x98,1);
    FRPRD(x1,1);}
   CPCLS(__APartNameEntry_58,1);
   CPPRD(__APartNameEntry_111,1);
   CPPRD(__APartNameEntry_112,1);
   CPPRD(__APairConv_6,1);
   r=_ASeqConv_3(__APartNameEntry_111,__APairConv_6,__APartNameEntry_112,__APartNameEntry_58,x98);}}
 return r;}

extern OBJ _APartNameEntry_60(OBJ x1) /* `,4 */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FRPRD(FLD1(x1,2),1);DSPRDF(x1);
  }else{
   CPPRD(x2,1);
   FRPRD(x1,1);}
  {OBJ x4;
   x4=x2;
   r=_APartNameEntry_59(x4);}}
 return r;}

extern OBJ _APartNameEntry_106(OBJ x1) /* `,5 */
{OBJ r;
 {OBJ x16=FLD1(x1,1);OBJ x17=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x16,1);CPPRD(x17,1);
   FRPRD(x1,1);}
  CPCLS(__AName_34,1);
  {OBJ x18;
   x18=_ASeqConv_2(__AName_34,x16);
   {OBJ x19=FLD1(x17,1);
    if(EXPRD(x17,1)){
     FREE(FLD1(x17,2),1);DSPRDF(x17);
    }else{
     FRPRD(x17,1);}
    CPPRD(__APairConv_5,1);
    CPPRD(__APairConv_6,1);
    CPPRD(__APairConv_7,1);
    {OBJ x21;OBJ x22;OBJ x23;OBJ x24;
     ANatConv_1(x19,x21);
     ADenotation_4(x21,__APairConv_7,x22);
     ADenotation_4(__APairConv_6,x22,x23);
     ADenotation_4(x18,x23,x24);
     ADenotation_4(__APairConv_5,x24,r);}}}}
 return r;}

extern OBJ _APartNameEntry_107(OBJ x1) /* `,2'107 */
{OBJ r;
 CPCLS(__AObjects_10,1);
 CPCLS(__ACompose_4,1);
 CPCLS(__ANatConv_1,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__ANatConv_1,__AObjects_10);
 return r;}

extern OBJ _APartNameEntry_108(OBJ x1) /* `,2'108 */
{OBJ r;
 CPCLS(__APartNameEntry_107,1);
 CPCLS(__AFct_23,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_107,1))(__APartNameEntry_107,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFct_23,1))(__AFct_23,x2);}
 return r;}

extern OBJ _APartNameEntry_109(OBJ x1) /* `,3'109 */
{OBJ r;
 CPCLS(__AObjects_10,1);
 CPCLS(__ACompose_4,1);
 CPCLS(__ANatConv_1,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__ANatConv_1,__AObjects_10);
 return r;}

extern OBJ _APartNameEntry_110(OBJ x1) /* `,3'110 */
{OBJ r;
 CPCLS(__APartNameEntry_109,1);
 CPCLS(__AFct_23,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_109,1))(__APartNameEntry_109,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFct_23,1))(__AFct_23,x2);}
 return r;}

extern OBJ _APartNameEntry_113(OBJ x1) /* `,1'113 */
{OBJ r;
 CPCLS(__AName_34,1);
 CPCLS(__AFct_23,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AFct_23,1))(__AFct_23,__AName_34);
 return r;}

extern OBJ _APartNameEntry_114(OBJ x1) /* `,1'114 */
{OBJ r;
 CPCLS(__APartNameEntry_113,1);
 CPCLS(__AOptionConv_2,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_113,1))(__APartNameEntry_113,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionConv_2,1))(__AOptionConv_2,x2);}
 return r;}

extern OBJ _APartNameEntry_115(OBJ x1) /* `,1'115 */
{OBJ r;
 CPCLS(__APartNameEntry_59,1);
 CPCLS(__APartNameEntry_114,1);
 CPCLS(__APairConv_3,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APartNameEntry_114,1))(__APartNameEntry_114,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APairConv_3,2))(__APairConv_3,x2,__APartNameEntry_59);}
 return r;}

extern OBJ _APartNameEntry_117(OBJ x1) /* `,1'117 */
{OBJ r;
 CPCLS(__APartNameEntry_58,1);
 CPPRD(__APartName_60,1);
 CPPRD(__APartName_61,1);
 CPPRD(__APairConv_6,1);
 CPCLS(__ASeqConv_3,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__ASeqConv_3,4))(__ASeqConv_3,__APartName_61,__APairConv_6,__APartName_60,__APartNameEntry_58);
 return r;}

static OBJ _mt_1_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 {OBJ t3;
  DCCLS(t,1);
  t3=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t3,1))(t3,t2);}
 return r;}

static OBJ _mt_4_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4);
 return r;}

init_APartNameEntry()
{
 static int visited=0; if(visited) return; visited=1;
 init_AName();
 init_AObjects();
 init_ARep();
 init_APartName();
 init_AOcPos();
 init_ANat();
 init_AOption();
 init_AFct();
 init_ASeq();
 init_AChar();
 init_APragma();
 init_ASeqCompare();
 init_APair();
 init_ACompose();
 init_ANatConv();
 init_AOptionConv();
 init_APairConv();
 init_ASeqConv();
 init_ADenotation();
 init_ASeqZip();
 init_AString();
 init_AInt();
 init_AReal();
 init_ARelCmp();
 init_AArray();
 init_ASet();
 init_ALexem();
 CLS(1,_APartNameEntry_31,__APartNameEntry_31);
 CLS(1,_APartNameEntry_30,__APartNameEntry_30);
 CLS(2,_APartNameEntry_29,__APartNameEntry_29);
 CLS(1,_APartNameEntry_60,__APartNameEntry_60);
 CLS(1,_APartNameEntry_27,__APartNameEntry_27);
 CLS(1,_APartNameEntry_59,__APartNameEntry_59);
 CLS(1,_APartNameEntry_26,__APartNameEntry_26);
 CLS(1,_APartNameEntry_58,__APartNameEntry_58);
 CLS(1,_APartNameEntry_25,__APartNameEntry_25);
 CLS(1,_APartNameEntry_57,__APartNameEntry_57);
 CLS(2,_APartNameEntry_24,__APartNameEntry_24);
 CLS(1,_APartNameEntry_56,__APartNameEntry_56);
 CLS(2,_APartNameEntry_55,__APartNameEntry_55);
 DEN("flatInstPN:",__APartNameEntry_118);
 CLS(2,_APartNameEntry_54,__APartNameEntry_54);
 LCLS(1,_APartNameEntry_117,__APartNameEntry_117);
 CLS(1,_APartNameEntry_21,__APartNameEntry_21);
 CLS(2,_APartNameEntry_53,__APartNameEntry_53);
 DEN("deepInstPN:",__APartNameEntry_116);
 CLS(1,_APartNameEntry_20,__APartNameEntry_20);
 CLS(2,_APartNameEntry_52,__APartNameEntry_52);
 LCLS(1,_APartNameEntry_115,__APartNameEntry_115);
 CLS(1,_APartNameEntry_19,__APartNameEntry_19);
 CLS(2,_APartNameEntry_51,__APartNameEntry_51);
 LCLS(1,_APartNameEntry_114,__APartNameEntry_114);
 CLS(3,_APartNameEntry_18,__APartNameEntry_18);
 CLS(2,_APartNameEntry_50,__APartNameEntry_50);
 LCLS(1,_APartNameEntry_113,__APartNameEntry_113);
 CLS(1,_APartNameEntry_17,__APartNameEntry_17);
 CLS(1,_APartNameEntry_49,__APartNameEntry_49);
 DEN("}",__APartNameEntry_112);
 CLS(1,_APartNameEntry_16,__APartNameEntry_16);
 CLS(1,_APartNameEntry_48,__APartNameEntry_48);
 DEN("{",__APartNameEntry_111);
 CLS(1,_APartNameEntry_15,__APartNameEntry_15);
 CLS(1,_APartNameEntry_47,__APartNameEntry_47);
 LCLS(1,_APartNameEntry_110,__APartNameEntry_110);
 CLS(2,_APartNameEntry_14,__APartNameEntry_14);
 CLS(2,_APartNameEntry_46,__APartNameEntry_46);
 LCLS(1,_APartNameEntry_109,__APartNameEntry_109);
 LCLS(1,_APartNameEntry_108,__APartNameEntry_108);
 CLS(1,_APartNameEntry_12,__APartNameEntry_12);
 LCLS(1,_APartNameEntry_107,__APartNameEntry_107);
 CLS(1,_APartNameEntry_11,__APartNameEntry_11);
 CLS(1,_APartNameEntry_43,__APartNameEntry_43);
 CLS(1,_APartNameEntry_10,__APartNameEntry_10);
 CLS(1,_APartNameEntry_106,__APartNameEntry_106);
 CLS(1,_APartNameEntry_9,__APartNameEntry_9);
 CLS(1,_APartNameEntry_41,__APartNameEntry_41);
 CLS(1,_APartNameEntry_8,__APartNameEntry_8);
 CLS(1,_APartNameEntry_40,__APartNameEntry_40);
 CLS(4,_APartNameEntry_7,__APartNameEntry_7);
 CLS(4,_APartNameEntry_39,__APartNameEntry_39);
 CLS(1,_APartNameEntry_38,__APartNameEntry_38);
 CLS(1,_APartNameEntry_5,__APartNameEntry_5);
 CLS(1,_APartNameEntry_37,__APartNameEntry_37);
 CLS(1,_APartNameEntry_4,__APartNameEntry_4);
 CLS(1,_APartNameEntry_36,__APartNameEntry_36);
 CLS(1,_APartNameEntry_3,__APartNameEntry_3);
 CLS(1,_APartNameEntry_35,__APartNameEntry_35);
 CLS(2,_APartNameEntry_2,__APartNameEntry_2);
 CLS(3,_APartNameEntry_34,__APartNameEntry_34);
 CLS(1,_APartNameEntry_32,__APartNameEntry_32);
 MTH(1,0,2,_mt_1_0_2);LZYMTH(1,0,2,_mt_1_0_2);
 MTH(4,0,4,_mt_4_0_4);LZYMTH(4,0,4,_mt_4_0_4);}

